
Core - Task # 55625

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55522 (Closed): As a developer I want to ensure that further changes have no negative impact on import or export

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-02-03 Assigned To: Marc Bastian Heinrichs
Updated: 2014-02-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Impexp: Introduce limitation of exported fields of a tca type
Description

To be able to compare mostly only the data provided in the database fixtures, the export needs to be limited to a given set of fields of
a record type.

This will loose the strict xml comparison of all existing fields in the database
and the tests would not break whenever we change ext:core or ext:frontend ext_tables.sql.

Related issues:
related to Core - Task # 55100: Impexp: Add simple functional tests Resolved 2014-01-17

Associated revisions
Revision b5d82de8 - 2014-02-24 14:25 - Marc Bastian Heinrichs

[TASK] Limit the exported record fields in impexp

To be able to compare mostly only the data provided in the
database fixtures, the export needs to be limited to a given
set of fields of a record type.
This will loose the strict xml comparison of all existing fields
in the database and the tests would not break whenever we
change ext:core or ext:frontend ext_tables.sql.

Resolves: #55625
Releases: 6.2
Change-Id: Ie48e540ab1c9e271b64b893353a84c34ac982a50
Reviewed-on: https://review.typo3.org/27303
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Tymoteusz Motylewski
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History
#1 - 2014-02-03 15:05 - Marc Bastian Heinrichs
- Parent task changed from #55520 to #55522
#2 - 2014-02-03 17:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27303

#3 - 2014-02-05 16:37 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27303

#4 - 2014-02-05 20:52 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27303

#5 - 2014-02-05 20:55 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#6 - 2014-02-10 16:55 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27303

#7 - 2014-02-15 12:13 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27303

#8 - 2014-02-18 11:50 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27303

#9 - 2014-02-24 14:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:b5d82de88205fc4801762019905072b5ea38725b.
